---
<%
config = node['dcos-grid']['bootstrap']['config']
config.each {|key, value|
  if !@config_params.include?(key) || value.nil? || value.empty? then
    Chef::Log.warn("invalid config key: #{key}")
    next
  end

  if value.is_a?(String) then
-%>
<%= key %>: <%= value %>
<%
  elsif value.is_a?(Array) then
-%>
<%= key %>:
<%
    value.each {|val|
-%>
- <%= val %>
<%
    }
  end
}
-%>
